curl --request PATCH \
--url https://api.tread-horizon.com/v1/loads/{load-id}/summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"arrived_pickup_at": "2023-11-07T05:31:56Z",
"arrived_dropoff_at": "2023-11-07T05:31:56Z",
"loaded_at": "2023-11-07T05:31:56Z",
"unloaded_at": "2023-11-07T05:31:56Z"
}
'{
"data": {
"arrived_pickup_at": "2023-11-07T05:31:56Z",
"pickup_time_minutes": 123,
"arrived_dropoff_at": "2023-11-07T05:31:56Z",
"dropoff_time_minutes": 123,
"load_completed_at": "2023-11-07T05:31:56Z",
"loaded_at": "2023-11-07T05:31:56Z",
"unloaded_at": "2023-11-07T05:31:56Z",
"gps_minutes": 1,
"has_gps_data": true,
"editable": true,
"travelled_distance_meters": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Update the LoadSummary for a Load.
This endpoint requires the edit_load_summaries and edit_job IamPermission.
curl --request PATCH \
--url https://api.tread-horizon.com/v1/loads/{load-id}/summary \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"arrived_pickup_at": "2023-11-07T05:31:56Z",
"arrived_dropoff_at": "2023-11-07T05:31:56Z",
"loaded_at": "2023-11-07T05:31:56Z",
"unloaded_at": "2023-11-07T05:31:56Z"
}
'{
"data": {
"arrived_pickup_at": "2023-11-07T05:31:56Z",
"pickup_time_minutes": 123,
"arrived_dropoff_at": "2023-11-07T05:31:56Z",
"dropoff_time_minutes": 123,
"load_completed_at": "2023-11-07T05:31:56Z",
"loaded_at": "2023-11-07T05:31:56Z",
"unloaded_at": "2023-11-07T05:31:56Z",
"gps_minutes": 1,
"has_gps_data": true,
"editable": true,
"travelled_distance_meters": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Load ID
OK
Show child attributes